Bug 479045 - xchat segfaults on python/sqlite scripts. [NEEDINFO]
xchat segfaults on python/sqlite scripts.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 13:29 EST by Albert Hopkins
Modified: 2009-12-18 02:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:31:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ahopkins: needinfo? (caillon)


Attachments (Terms of Use)

  None (edit)
Description Albert Hopkins 2009-01-06 13:29:52 EST
Description of problem:

I had a few xchat scripts that worked fine on F9.  When I upgraded to F10 (fresh install). I found two of my scripts cause xchat to segfault.  Both are written in Python, though I have other xchat Python scripts that run fine.  The thing that the two that fail have in common is that they both do queries on a (py)sqlite database.

I have tried dumping/re-creating/restoring the sqlite dbs but to no avail.

These scripts ran fine on Fedora 9, and also run fine on my Gentoo Linux systems which also are xchat-2.8.6 and python-2.5.2 based.

Also, when I tried running the queries directly from the interactive python prompt using the sqlite module and I don't get a segfault.

Version-Release number of selected component (if applicable):
xchat-2.8.6-r2
python-2.5.2-r8

How reproducible:
Seems to happen whenever my script runs a db.execute() even read-only queries.

Steps to Reproduce:
I can provide the scripts if necessary.
  
Actual results:
Segfaults

Expected results:
No segfault.

Additional info:
gdb backtrace:
#0  0x0411a780 in cache_get (self=0x8ac4d40, args=0x8ac4aec)
    at /usr/src/debug/Python-2.5.2/Modules/_sqlite/cache.c:210
#1  0x0411e1e5 in _query_execute (self=0x88d9440, multiple=0, args=0x88d548c)
    at /usr/src/debug/Python-2.5.2/Modules/_sqlite/cursor.c:570
#2  0x0411ebcc in cursor_execute (self=0x88d9440, args=0x88d548c)
    at /usr/src/debug/Python-2.5.2/Modules/_sqlite/cursor.c:722
#3  0x027c4b3d in PyCFunction_Call (func=0x88e648c, arg=0x88d548c, kw=0x0)
    at Objects/methodobject.c:73
#4  0x02790397 in PyObject_Call (func=0x1, arg=0x88d548c, kw=0x0)
    at Objects/abstract.c:1861
#5  0x0280e6fc in PyEval_CallObjectWithKeywords (func=0x88e648c, 
    arg=0x88d548c, kw=0x0) at Python/ceval.c:3442
#6  0x027912ec in PyObject_CallObject (o=0x88e648c, a=0x88d548c)
    at Objects/abstract.c:1852
#7  0x0411aec6 in connection_execute (self=0x8a7e200, args=0x88d548c, 
    kwargs=0x88e2818)
    at /usr/src/debug/Python-2.5.2/Modules/_sqlite/connection.c:939
#8  0x027c4b3d in PyCFunction_Call (func=0x8ac49ec, arg=0x88d548c, kw=0x0)
    at Objects/methodobject.c:73
#9  0x02814cf0 in call_function () at Python/ceval.c:3573
#10 PyEval_EvalFrameEx (f=0x89f6364, throwflag=0) at Python/ceval.c:2272
#11 0x0281583d in fast_function () at Python/ceval.c:3659
#12 call_function () at Python/ceval.c:3594
#13 PyEval_EvalFrameEx (f=0x8a397bc, throwflag=0) at Python/ceval.c:2272
#14 0x02816965 in PyEval_EvalCodeEx (co=0x88d8728, globals=0x88d746c, 
    locals=0x0, args=0x88d53f8, argcount=1, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
#15 0x027b0376 in function_call (func=0x8ac8224, arg=0x88d53ec, kw=0x0)
    at Objects/funcobject.c:517
#16 0x02790397 in PyObject_Call (func=0x1, arg=0x88d53ec, kw=0x0)
    at Objects/abstract.c:1861
#17 0x02790f13 in call_function_tail (callable=0x8ac8224, args=0x88d53ec)
    at Objects/abstract.c:1892
#18 0x02791286 in PyObject_CallFunction (callable=0x8ac8224, 
    format=0x2857782 "(O)") at Objects/abstract.c:1916
#19 0x0279fd71 in property_descr_get (self=0x8ac7194, obj=0x8ac4d40, 
    type=0x8ac556c) at Objects/descrobject.c:1145
#20 0x0279803a in instance_getattr2 (inst=0x8ac4bec, name=0x88e2840)
    at Objects/classobject.c:734
#21 0x0279856e in instance_getattr1 () at Objects/classobject.c:707
#22 instance_getattr (inst=0x8ac4bec, name=0x88e2840)
    at Objects/classobject.c:746
#23 0x027c6b28 in PyObject_GetAttr (v=0x8ac4bec, name=0x88e2840)
    at Objects/object.c:1127
#24 0x02813159 in PyEval_EvalFrameEx (f=0x8a0360c, throwflag=0)
    at Python/ceval.c:1990
#25 0x02816965 in PyEval_EvalCodeEx (co=0x88e71d0, globals=0x88d746c, 
    locals=0x0, args=0x8ac7128, argcount=3, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
#26 0x027b0376 in function_call (func=0x8ac83e4, arg=0x8ac711c, kw=0x0)
    at Objects/funcobject.c:517
#27 0x02790397 in PyObject_Call (func=0x1, arg=0x8ac711c, kw=0x0)
    at Objects/abstract.c:1861
#28 0x02790f13 in call_function_tail (callable=0x8ac83e4, args=0x8ac711c)
    at Objects/abstract.c:1892
#29 0x02791286 in PyObject_CallFunction (callable=0x8ac83e4, 
    format=0x7701158 "(OOO)") at Objects/abstract.c:1916
#30 0x076ff38d in Callback_Command (word=0xbfffe564, word_eol=0xbfffe4e0, 
    userdata=0x86a76e0) at python.c:472
...
Comment 1 Albert Hopkins 2009-01-06 15:13:51 EST
The following simple xchat "script" runs fine stand-alone but segfaults xchat under F10:

__module_name__ = 'simple'
__module_version__ = '0.0'
__module_description__ = 'Very simple xchat script using sqlite'

from sqlite3 import dbapi2 as sqlite
DBFILE = ':memory:'

db = sqlite.connect(DBFILE)
cursor = db.execute('SELECT 1')
Comment 2 Albert Hopkins 2009-05-21 09:42:29 EDT
Has this issue been looked at?
Comment 3 Bug Zapper 2009-11-18 04:08:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:31:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.